Available in Classic and VPC
Delete a specified traffic profile (domain).
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| DELETE | /gtm/v1/domains/{domainId} |
Request headers
For information about the headers common to all Traffic profile APIs, see Traffic profile API request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
domainId |
Integer | Required | Profile ID
|
Request example
The following is a sample request.
curl --location --request DELETE 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/domains/14***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response status codes
For information about the HTTP status codes common to all Traffic profile APIs, see Traffic profile API response status codes.
Response example
The following is a sample response.
"SUCCESS"
Error code example
The following is a sample error code.
{
"result": "FAIL",
"error": {
"errorCode": "05X000",
"message": "You don't have permissions for the profile or the profile doesn't exist.",
"moreInfo": {
"timestamp": "2022-11-16T17:01:37.635+09:00"
}
}
}